Subject: Re: bug#63288: 30.0.50; Emacs 30 packages fail to build with native comp on some machines

From: Pip Cet <[email-masked]>
Date: Sat, 01 Feb 2025 12:15:55 +0000

<[email-masked]> writes:

> On 2025-01-29T19:46:04.000+01:00, Pip Cet <[email-masked]> wrote:
>> without going into too much detail, I think bytecomp.elc is not what it
>> should be.  Would it be possible for you to provide the 184350-byte
>> version you've seen in the broken build, and the (possibly 184350-byte)
>> version that produced a working Emacs?  The differences might be very
>> interesting.  Note that it is the .elc files that are interesting, not
>> their .el sources, and Emacs ignores the .elc extension when tab
>> completing by default.
>>
>> (Those files are long; if you cat them together and pipe through zstd
>> -22 --ultra --long, the result should be short enough to send).
>>
>> If you sill have time, warnings.elc may also be interesting.
>>
>> Thanks!
>>
>> Pip
>
> Here you are!
>
> [2. application/zstd; elc-files.tar.zst]...

Thanks, but...

-rw-r--r-- 1 pip pip 184350 Jan 27 08:18 bad-bytecomp.elc
-rw-r--r-- 1 pip pip  11853 Feb  1 11:08 bad-warnings.elc
-rw-r--r-- 1 pip pip 184350 Feb  1 10:54 good-bytecomp.elc
-rw-r--r-- 1 pip pip  11853 Feb  1 10:57 good-warnings.elc

I hope that's just the "bad" files, because I have "good" files myself.

Thanks agani!

Pip